#include "charybdis_PDFs.h"

PDFs::PDFs(LH_block& LH_in):LH_head(LH_in),equalIDs(false){
/*****************constructor to be used by the generator****************/
	initPDF(LH_head.PDFnum[0]);
	initPDFSet(LH_head.PDFname[0],LHGRID,LH_head.PDFSup[0]);
	if (LH_head.PDFname[0]==LH_head.PDFname[1] && LH_head.PDFSup[0]==LH_head.PDFSup[1] && LH_head.PDFnum[0]==LH_head.PDFnum[1])
		equalIDs=true;
}

void PDFs::callPDFs(double xxmin,double xlogmin,double Emsca,CRandomMersenne& rand){
/**********calls the PDFs from LHAPDF********/
  if (equalIDs) {
	x1=exp(rand.Random()*xlogmin);
	x2=xxmin/x1;	  
	PDFx1f1=xfx(x1,Emsca);
	PDFx2f2=xfx(x2,Emsca);	  
  }
  else {							//Warning: this is not optimized; should keep both PDFs open for efficiency reasons
	x1=exp(rand.Random()*xlogmin);	//instead of opening and closing 
	x2=xxmin/x1;
	initPDF(LH_head.PDFnum[0]);
	initPDFSet(LH_head.PDFname[0],LHGRID,LH_head.PDFSup[0]);
	PDFx1f1=xfx(x1,Emsca);
	initPDF(LH_head.PDFnum[1]);
	initPDFSet(LH_head.PDFname[1],LHGRID,LH_head.PDFSup[1]);
	PDFx2f2=xfx(x2,Emsca);
  }
}



