#ifndef CHARYBDIS_PDFS_H
#define CHARYBDIS_PDFS_H
#include <iostream>
#include <vector>
#include <cmath>
#include <LHAPDF/LHAPDF.h>
#include "charybdis_ccinterface.h"
#include "randomc.h"
using namespace std;
using namespace LHAPDF;

class PDFs {
public:
  PDFs(LH_block&);
  PDFs(string,int,int);
  void callPDFs(double,double,double,CRandomMersenne&);
  vector<double> PDFx1f1,PDFx2f2;
  double x1,x2;
private:
  LH_block LH_head;
  bool equalIDs;
};

#endif
