#include "charybdis_tools.h"
///This files is intended for generic functions, tools, algorithms which are useful for the program but are not specific of charybdis necessarily (example: special functions)

int factorial(int n){
  /*returns the factorial of n*/
  int result=1;
  for (int i=1;i<=n;++i)
    result*=i;
  return result;
}

double nsphere_area_factor(int n){
  /*returns the factor of the n_sphere surface area that is not radius dependent*/
  double pi=acos(-1);
  if (n%2==0)                                                                   //if n is even
    return n*pow(pi,n/2)/factorial(n/2);                                        //return n*pi^(n/2)/(n/2)!
  else                                                                          //if n is odd
    return n*factorial((n+1)/2)*pow(2,n+1)*pow(pi,(n-1)/2)/factorial(n+1);      //return n*((n+1)/2)!*2^(n+1)*pi^(n/2)/(n+1)!
}
